/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
export declare type CommentContextType = {
    isActive: boolean;
    setActive: (val: boolean) => void;
};
export declare type Comment = {
    author: string;
    content: string;
    id: string;
    timeStamp: number;
    type: 'comment';
};
export declare type Thread = {
    comments: Array<Comment>;
    id: string;
    quote: string;
    type: 'thread';
};
export declare type Comments = Array<Thread | Comment>;
export declare function createComment(content: string): Comment;
export declare function createThread(quote: string, content: string): Thread;
export declare function cloneThread(thread: Thread): Thread;
