/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
/// <reference types="react" />
import type { ElementFormatType, LexicalNode, NodeKey } from 'lexical';
import { DecoratorBlockNode } from '@lexical/react/LexicalDecoratorBlockNode';
import SerializedDecoratorBlockNode from '@lexical/react/LexicalDecoratorBlockNode';
import { Spread } from 'globals';
export declare type SerializedTweetNode = Spread<{
    id: string;
    type: 'tweet';
    version: 1;
}, typeof SerializedDecoratorBlockNode>;
export declare class TweetNode extends DecoratorBlockNode<JSX.Element> {
    __id: string;
    static getType(): string;
    static clone(node: TweetNode): TweetNode;
    static importJSON(serializedNode: SerializedTweetNode): TweetNode;
    exportJSON(): SerializedTweetNode;
    constructor(id: string, format?: ElementFormatType | null, key?: NodeKey);
    getId(): string;
    decorate(): JSX.Element;
    isTopLevel(): true;
}
export declare function $createTweetNode(tweetID: string): TweetNode;
export declare function $isTweetNode(node: TweetNode | LexicalNode | null | undefined): node is TweetNode;
