/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
/// <reference types="react" />
import type { ElementFormatType, LexicalNode, NodeKey } from 'lexical';
import { DecoratorBlockNode } from '@lexical/react/LexicalDecoratorBlockNode';
import SerializedDecoratorBlockNode from '@lexical/react/LexicalDecoratorBlockNode';
import { Spread } from 'globals';
export declare type SerializedYouTubeNode = Spread<{
    videoID: string;
    type: 'youtube';
    version: 1;
}, typeof SerializedDecoratorBlockNode>;
export declare class YouTubeNode extends DecoratorBlockNode<JSX.Element> {
    __id: string;
    static getType(): string;
    static clone(node: YouTubeNode): YouTubeNode;
    static importJSON(serializedNode: SerializedYouTubeNode): YouTubeNode;
    exportJSON(): SerializedYouTubeNode;
    constructor(id: string, format?: ElementFormatType | null, key?: NodeKey);
    updateDOM(): false;
    decorate(): JSX.Element;
    isTopLevel(): true;
}
export declare function $createYouTubeNode(videoID: string): YouTubeNode;
export declare function $isYouTubeNode(node: YouTubeNode | LexicalNode | null | undefined): node is YouTubeNode;
